Page MenuHomePhabricator

[DebugInfo] Add parser for DILabel metadata.
AbandonedPublic

Authored by HsiangKai on Mar 29 2018, 6:55 AM.

Details

Reviewers
rnk
chenwj
Summary

Define DILabel fields for parsing. Call GET_OR_DISTINCT() to create DILabel
objects and store the objects into LLVMContext.

Diff Detail

Repository
rL LLVM

Event Timeline

HsiangKai created this revision.Mar 29 2018, 6:55 AM
chenwj requested changes to this revision.Mar 30 2018, 7:30 AM

Nit.

lib/AsmParser/LLParser.cpp
4569

Redundant comment?

This revision now requires changes to proceed.Mar 30 2018, 7:30 AM

Needs a test. Probably should be combined with the Verifier patch as well.

HsiangKai abandoned this revision.Apr 2 2018, 8:11 AM

Needs a test. Probably should be combined with the Verifier patch as well.

Merged into D45024, this patch should be abandoned.